import request from "string-public-design-3/utils/request";

import { ADMINISTRATION_NOTICE_SERVICE } from "string-public-design-3/constants/location"


//通知列表
export function queryNotice(params) {
  return request({
    url: `${ADMINISTRATION_NOTICE_SERVICE}/notices/`,
    method: 'get',
    params
  })
}
//通知实例
export function getNotice(noticeId) {
  return request({
    url: `${ADMINISTRATION_NOTICE_SERVICE}/notices/${noticeId}/`,
    method: 'get',
  })
}


//通知类型
export function getNoticeType(params) {
  return request({
    url: `${ADMINISTRATION_NOTICE_SERVICE}/notice_types/`,
    method: 'get',
    params
  })
}