// FRAMEWORK
export const FRAMEWORK_CORE_SERVICE = "/fwk_core_client_service";
export const FRAMEWORK_AUTH_SERVICE = "/fwk_auth_client_service";
export const FRAMEWORK_MESSAGE_SERVICE = "/fwk_message_provider_service";
export const FRAMEWORK_PAYMENT_SERVICE = "/fwk_payment_service";
export const FRAMEWORK_DATACENTER_SERVICE = "/fwk_datacenter_service";
export const FRAMEWORK_TIMEDTASK_SERVICE = "/fwk_timed_task_service";
export const FRAMEWORK_OPEN_SERVICE = "/fwk_open_service";

export const FRAMEWORK_MANAGE_WEB = "/manage";

export const FRAMEWORK_PORTAL_WEB = "/portal_web";
export const FRAMEWORK_PORTAL_APP = "/portal_app";

// FOUNDATIION
export const FOUNDATIION_CORE_SERVICE = "/fdn_core_service";
export const FOUNDATIION_FORM_SERVICE = "/fdn_form_service";
export const FOUNDATIION_WORKFLOW_SERVICE = "/fdn_workflow_service";
export const FOUNDATIION_WEB = "/fdn_web";
export const FOUNDATIION_APP = "/fdn_app";

// PARTNER
export const PARTNER_SERVICE = "/partner_service";
export const PARTNER_WEB = "/partner_web";
export const PARTNER_APP = "/partner_app";

// IBPS
export const IBPS_SERVICE = "/ibps_service";
export const IBPS_WEB = "/ibps_web";
export const IBPS_APP = "/ibps_app";

export const IBPS_WEB_PROCESS_START = `${window.string.SERVICE_HOST}${IBPS_WEB}/#/string-process/start/`;
export const IBPS_WEB_PROCESS_TODO = `${window.string.SERVICE_HOST}${IBPS_WEB}/#/string-process/todo/`;
export const IBPS_WEB_PROCESS_COMPLETE = `${window.string.SERVICE_HOST}${IBPS_WEB}/#/string-process/complete/`;

// ADMINISTRATION
export const ADMINISTRATION_ADDRESS_NOTE_SERVICE = "/admin_address_note_service";
export const ADMINISTRATION_NOTICE_SERVICE = "/admin_notice_service";
export const ADMINISTRATION_MESSAGE_SERVICE = "/admin_message_service";
export const ADMINISTRATION_WEB = "/admin_web";
export const ADMINISTRATION_APP = "/admin_app";

export const ADMINISTRATION_NOTICE_LIST = `${window.string.SERVICE_HOST}${ADMINISTRATION_WEB}/#/notice/list/`;
export const ADMINISTRATION_NOTICE_DETAIL = `${window.string.SERVICE_HOST}${ADMINISTRATION_WEB}/#/notice/read-detail/`;
export const ADMINISTRATION_MESSAGE_LIST = `${window.string.SERVICE_HOST}${ADMINISTRATION_WEB}/#/message/list/`;

// EDUCATION
export const EDUCATION_BASE_SERVICE = "/edu_base_service";
