const state = {
    // 选择的节点，包含曾经选择过的节点。
    selectedNodes: []
}

const getters = {
    selectedNodes: state => state.selectedNodes,
}

const mutations = {
    SET_SELECTED_NODES: (state, selectedNodes) => {
        state.selectedNodes = selectedNodes;
    }
}


export default {
    namespaced: true,
    state,
    getters,
    mutations,
  }
  