import request from "string-public-design-3/utils/request";

import { FRAMEWORK_DATACENTER_SERVICE } from "string-public-design-3/constants/location"
/** 
数据数据同步任务字段对应列表
* @param {*} params
*/
export function queryField(params) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/field/`,
        method: 'get',
        params
    })
}

/** 
更新数据同步任务字段对应
* @param {*} syncDataId
* @param {*} data
*/
export function updateField(syncDataId, data) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/field/${syncDataId}/update/batch/`,
        method: 'post',
        data
    })
}