import request from "string-public-design-3/utils/request";

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 获取图标列表
 * @param {*} params
 */
export function queryIcon(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/icons/`,
        method: 'get',
        params
    })
}

/**
 * 同步图标库
 * @param {*} data 
 * @returns 
 */
export function syncIcon(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/icons/sync/`,
        method: 'post',
        data
    })
}

