import request from "string-public-design-3/utils/request";

import { FRAMEWORK_OPEN_SERVICE } from "string-public-design-3/constants/location"

//数据库连接配置
export function queryConfigDataBases(params) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/database/`,
        method: 'get',
        params
    })
}
export function getConfigDatabase(id) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/database/${id}/`,
        method: 'get',
    })
}
export function createCofigDatabase(data) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/database/create/`,
        method: 'post',
        data
    })
}
export function updateConfigDatabase(id,data) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/database/update/${id}/`,
        method: 'post',
        data
    })
}
export function deleteConfigDatabase(id) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/database/delete/${id}/`,
        method: 'post',
        
    })
}


//数据库表配置
export function queryConfigtables(params) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/table/`,
        method: 'get',
        params
    })
}
export function getConfigtable(id) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/table/${id}/`,
        method: 'get',
    })
}
export function createCofigtable(data) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/table/create/`,
        method: 'post',
        data
    })
}
export function updateConfigtable(id,data) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/table/update/${id}/`,
        method: 'post',
        data
    })
}
export function deleteConfigtable(id) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/table/delete/${id}/`,
        method: 'post',
        
    })
}
export function queryConfigtableFields(tableId) {
    return request({
        url: `${FRAMEWORK_OPEN_SERVICE}/config/table/fields/${tableId}/`,
        method: 'get',
        
    })
}




