import request from "string-public-design-3/utils/request";

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"


/**
 * 获取列表
 * @param {*} params
 */
export function queryWorkflow(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/bpm/`,
        method: 'get',
        params
    })
}

// 待办事项
export function queryPendingAffair(params) {
    return request({
      url: `${FRAMEWORK_CORE_SERVICE}/bpm/todo/`,
      method: 'get',
      params
    })
  }
  
  // 我发起的请求
  export function queryMyRequestedAffair(params) {
    return request({
      url: `${FRAMEWORK_CORE_SERVICE}/bpm/my/requested/`,
      method: 'get',
      params
    })
  }
  
  // 审批事项列表
  export function queryHandledAffair(params) {
    return request({
      url: `${FRAMEWORK_CORE_SERVICE}/bpm/handled/`,
      method: 'get',
      params
    })
  }
  
  /**
   * 获取未完成事项的个数
   */
  export function queryPendingAffairCount() {
    return request({
      url: `${FRAMEWORK_CORE_SERVICE}/bpm/count/`,
      method: 'get'
    })
  }
  