import util from "string-public-design-3/utils/util";
import packageConfig from "string-public-design-3/package.json";

let printTimes = 0;//打印次数，保证只打印一次

/**
 * @description 显示版本信息
 */
export function showVersion() {
  if (printTimes > 0) return
  printTimes++;
  if (process.env.VUE_APP_CLIENT_CODE && process.env.VUE_APP_VERSION) {
    util.log.capsule(process.env.VUE_APP_CLIENT_CODE, `v${process.env.VUE_APP_VERSION}`)
  }
  if (packageConfig) {
    util.log.capsule("STRING_PUBLIC_DESIGN-3", `v${packageConfig.version}`)
  }
}
